<?php

// DO NOT EDIT THIS FILE!
// Values set here can be overridden using config.php

// after making changes to config.php, run
// htaccess-builder to put your changes into effect

// allowed directories, use 0: non-recursive; 1: recursive.
// Directories specified here are relative to the parent directory, since
// this application is neatly cordoned off into a subdirectory and shouldn't
// actually contain any HTML files. Trailing slashes are optional, but
// directory MUST exist
$allowed_dirs = array('' => 0);

//** Controls directory indexing:
// false : all directories are assumed to have no index, and Apache
//      mod_rewrite will not intercept calls to directories unless
//      explicitly told to via ?purge=1. This means you will be able
//      to use Apache's built-in directory listings, but an index will
//      not be automatically regenerated
// associative array : an associative array of directory names to the
//      above values for fine-grained control. If an entry is not in the
//      the list, XHTML Compiler will assume "true".
// Note: it is not currently possible to control the behavior of
// subdirectories of directories in which recursion is allowed
$indexed_dirs = array();

//** Name of file that is a directory's index
// Note: there is no support for multiple possible indexes, as Apache
// does, and it is currently impossible to use Apache's own DocumentIndex
// directive.
$directory_index = 'index.html';

// ** Path to web root of the parent of XHTML Compiler's install library
// If you installed XHTML Compiler at /xhtml-compiler, nothing needs to
// be done. If you installed it at /subdir/xhtml-compiler, you need
// to set this variable to /subdir. MUST NOT have trailing slash
$web_path = '';

// ** Domain name of this server
// XHTML Compiler will attempt to automatically populate this variable,
// but it WILL NOT be set if you're calling XHTML Compiler from command
// line unless you set it explicitly!
if (isset($_SERVER['HTTP_HOST'])) $web_domain = $_SERVER['HTTP_HOST'];
else $web_domain = null;

// ** URL of ViewVC installation
// No trailing slash
$viewvc_url = false;

// ** Whether or not to print debug information when Exceptions are thrown.
// Debug information can disclose full-paths, so enabling them is not
// recommended on production environments.
$debug = false;

// ** Error XML transformation stylesheet
// This is the file linked to by XML error messages generated by our
// default exception handler
$error_xsl = dirname(__FILE__) . '/error.xsl';

// note about error handling: if a default error page is defined that's
// within XHTML Compiler's jurisdiction, that error page will be managed
// by XHTML Compiler (i.e. mod_rewrite will act upon it) and will apply
// to all directories, not just the ones XHTML Compiler manages. However,
// pages that XHTML Compiler manages will always be 404 handled by
// XHTML Compiler and NOT Apache. What this means is that a default
// error page will often be defined, in which case Apache hands the ball
// to XHTML Compiler, who displays a much less informative error message.

// ** Administrator email
// Miscellaneous email notices will be mailed to this address in the event of
// errors. This will NOT be published
$admin_email = 'admin@localhost';

// ** From email
// Name that your emails will come from
$from_email = 'daemon@localhost';

// ** Error log
// Errors will be logged here.
$error_log = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'errors.log';

// ** Error mute semaphore file
// When this file exists, error emails will be muted. This generally gets created
// when the first error is seen, and then is deleted after the errors are
// resolved.
$error_mute = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'mute.txt';

// ** Configuration documentation file
// This is for the ConfigLinker directive, specific for HTML Purifier.
// It is the URL <a xc:configdoc="..."> URLs are transformed to.
$configdoc = 'http://htmlpurifier.org/live/configdoc/plain.html#%s';

// ** SwiftMailer smtp transport
// Check out http://swiftmailer.org/docs/sending-quickref for information
// on how to configure this. On properly configured Unix systems, the
// default should "just work".
$smtp_transport = Swift_SendmailTransport::newInstance('/usr/sbin/sendmail -t');

// ** Data source name
// See http://www.doctrine-project.org/documentation/manual/1_1/en/introduction-to-connections
// for information on the syntax. By default, we'll dump everything into
// an sqlite database, which is not the best in terms of scalability.
$dsn = 'sqlite:///' . dirname(__FILE__) . '/data.db';

